#ifndef ADDQUESTIONSPERFILE_H
#define ADDQUESTIONSPERFILE_H

#include "controller.h"
#include "ui_addquestionsperfile.h"
#include <QtWidgets>
#include <QtGui>

class Controller;

class AddQuestionsPerFile : public QWidget, private Ui::AddQuestionsPerFile
{
  Q_OBJECT
  private:
    Controller *controller;
    QStringList files;
    QList< QString > lines;
    QList< QString > categories, questions, answers1, explanations1, answers2, explanations2,
                     answers3, explanations3, answers4, explanations4;
  public:
    explicit AddQuestionsPerFile( Controller *controller, QWidget *parent = 0 );
    int areFilesOk( void );
    void splitLines( void );
  public slots:
    void openFileDialog( void );
    void showFileTexts( void );
    void addSplitLinesToDatabase( void );
};

#endif // ADDQUESTIONSPERFILE_H
